Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mail.smtp
Class SMTPAddressFailedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.mail.MessagingException
                  javax.mail.SendFailedException
                      com.sun.mail.smtp.SMTPAddressFailedException

All Implemented Interfaces:
  java.io.Serializable

    public class SMTPAddressFailedException

extends SendFailedException

This exception is thrown when the message cannot be sent.

The exception includes the address to which the message could not be sent. This will usually appear in a chained list of exceptions, one per address, attached to a top level SendFailedException that aggregates all the addresses.

Since:
  JavaMail 1.3.2
See Also:
  Serialized Form

Field Summary
`protected InternetAddress` | `addr`
`protected java.lang.String` | `cmd`
`protected int` | `rc`

Fields inherited from class javax.mail.SendFailedException
`invalid, validSent, validUnsent`

Constructor Summary
`SMTPAddressFailedException(InternetAddress addr, java.lang.String cmd, int rc, java.lang.String err)` Constructs an SMTPAddressFailedException with the specified address, return code, and error string.

Method Summary
`InternetAddress` | `getAddress()` Return the address that failed.
`java.lang.String` | `getCommand()` Return the command that failed.
`int` | `getReturnCode()` Return the return code from the SMTP server that indicates the reason for the failure.

Methods inherited from class javax.mail.SendFailedException
`getInvalidAddresses, getValidSentAddresses, getValidUnsentAddresses`

Methods inherited from class javax.mail.MessagingException
`getCause, getNextException, setNextException, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### addr

    protected InternetAddress addr

### cmd

    protected java.lang.String cmd

### rc

    protected int rc

Constructor Detail

### SMTPAddressFailedException

    public SMTPAddressFailedException(InternetAddress addr,
                                      java.lang.String cmd,
                                      int rc,
                                      java.lang.String err)

  Constructs an SMTPAddressFailedException with the specified address, return code, and error string.

  Parameters:
    `addr` - the address that failed
    `cmd` - the command that was sent to the SMTP server
    `rc` - the SMTP return code indicating the failure
    `err` - the error string from the SMTP server

Method Detail

### getAddress

    public InternetAddress getAddress()

  Return the address that failed.

### getCommand

    public java.lang.String getCommand()

  Return the command that failed.

### getReturnCode

    public int getReturnCode()

  Return the return code from the SMTP server that indicates the reason for the failure. See RFC 821 for interpretation of the return code.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD